Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Macros | Functions
dln.h File Reference

Go to the source code of this file.

## Macros
#define | _(args) ()
#define | DLN_FIND_EXTRA_ARG
#define | DLN_FIND_EXTRA_ARG_DECL

## Functions
char * | dln_find_exe_r (const char *, const char *, char *, size_t DLN_FIND_EXTRA_ARG_DECL)
char * | dln_find_file_r (const char *, const char *, char *, size_t DLN_FIND_EXTRA_ARG_DECL)
void * | dln_load (const char *)

## Macro Definition Documentation

## ◆ _

#define _ | ( |  | args | ) | ()

Definition at line 28 of file dln.h.

## ◆ DLN_FIND_EXTRA_ARG

#define DLN_FIND_EXTRA_ARG

Definition at line 34 of file dln.h.

## ◆ DLN_FIND_EXTRA_ARG_DECL

#define DLN_FIND_EXTRA_ARG_DECL

Definition at line 37 of file dln.h.

## Function Documentation

## ◆ dln_find_exe_r()

char* dln_find_exe_r | ( | const char * | ,
|  | const char * | ,
|  | char * | ,
|  | size_t | DLN_FIND_EXTRA_ARG_DECL
| ) |  |

## ◆ dln_find_file_r()

char* dln_find_file_r | ( | const char * | ,
|  | const char * | ,
|  | char * | ,
|  | size_t | DLN_FIND_EXTRA_ARG_DECL
| ) |  |

## ◆ dln_load()

void* dln_load | ( | const char * |  | ) |

Definition at line 1261 of file dln.c.

References buf, dln_memerror, error, free, init_funcname, NULL, rb_loaderror(), rb_w32_mbstr_to_wstr(), UNREACHABLE_RETURN, and void.